ru.bitel.bgbilling.plugins.cashcheck.server.bean

## Class Check

- java.lang.Object
- - ru.bitel.bgbilling.plugins.cashcheck.server.bean.Check

-     public class Check
      extends java.lang.Object

  Используется для формирования последовательностей линий чека. Этот же объект передаётся в скрипты формирования вида чека. После этого отсюда получается список строк для непосредственной посылки в сервер печати.
  Author:
    dimon

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Check.CheckLine` Класс "линия чека", либо продажа, либо просто строка (когда сумма и отдел равны -1)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Check()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPayment(java.math.BigDecimal summa, java.lang.String string, int dep)` Добавление строки продажи.
    `void` | `addPayment(float summa, java.lang.String string, int dep)` Deprecated. использовать addPayment( BigDecimal, String, int ).
    `void` | `addString(java.lang.String string)` Добавление строки текста.
    `java.util.List<Check.CheckLine>` | `getLines()` Список линий чека, как платежей, так и каментов.
    `java.math.BigDecimal` | `getPaymentsum()`
    `int` | `getPaymentType()`
    `java.util.List<java.lang.String>` | `getPlines()` Метод возвращающий список строк для передачи его к клиенту посылки на удалённый сервер печати.
    `void` | `setPaymentType(int paymentType)` Установка типа оплаты (если используется и протокол позволяет)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Check

          public Check()

  - ### Method Detail

    - #### addString

          public void addString(java.lang.String string)

      Добавление строки текста.
      Parameters:
        `string` - строка.

    - #### addPayment

          @Deprecated
          public void addPayment(float summa,
                                             java.lang.String string,
                                             int dep)

      Deprecated. использовать addPayment( BigDecimal, String, int ).

    - #### addPayment

          public void addPayment(java.math.BigDecimal summa,
                                 java.lang.String string,
                                 int dep)

      Добавление строки продажи.
      Parameters:
        `summa` - сумма.
        `string` - название позиции (если используется и протокол позволяет).
        `dep` - "отдел" в ККМ (если используется и протокол позволяет). "Не задан" == -1.
      See Also:
        `addPayment(BigDecimal, String, int)`

    - #### setPaymentType

          public void setPaymentType(int paymentType)

      Установка типа оплаты (если используется и протокол позволяет)
      Parameters:
        `paymentType` - тип оплаты (-1 не задан)

    - #### getPlines

          public java.util.List<java.lang.String> getPlines()

      Метод возвращающий список строк для передачи его к клиенту посылки на удалённый сервер печати.
      Returns:
        список строк

    - #### getPaymentsum

          public java.math.BigDecimal getPaymentsum()

    - #### getLines

          public java.util.List<Check.CheckLine> getLines()

      Список линий чека, как платежей, так и каментов.
      Returns:
        лист объектов

    - #### getPaymentType

          public int getPaymentType()